<?php get_header(); ?>

<?php do_action( 'gutenbee_before_main' ); ?>

<main class="site-content">
	<div class="container">

		<div class="row <?php gutenbee_the_row_classes(); ?>">
			<div id="content-row" class="<?php gutenbee_the_container_classes(); ?>">

				<div id="site-content" class="content-wrapper">

					<?php get_template_part( 'template-parts/page-header' ); ?>

					<?php
						if ( have_posts() ) :

							$layout  = get_theme_mod( 'blog_layout_posts_layout_type', gutenbee_blog_layout_posts_layout_type_default() );
							$classes = array();

							$columns = 1;
							preg_match( '/^\d/', $layout, $matches );
							if ( array_key_exists( 0, $matches ) && intval( $matches[0] ) > 1 ) {
								$columns = intval( $matches[0] );
							}
							$classes[] = "row-columns-{$columns}";

							$template_part = 'template-parts/article';
							if ( '1col-horz' === $layout ) {
								$template_part = 'template-parts/article-media';
							}

							if ( '1col-horz' === $layout ) {

								while ( have_posts() ) : the_post();

									get_template_part( $template_part, get_post_type() );

								endwhile;

							} else {
								?>
								<div id="content-col" class="row row-items <?php echo esc_attr( implode( ' ', $classes ) ); ?>">

									<?php while ( have_posts() ) : the_post(); ?>

										<div class="<?php echo esc_attr( gutenbee_get_blog_columns_classes( $columns ) ); ?>">
											<?php get_template_part( $template_part, get_post_type() ); ?>
										</div>

									<?php endwhile; ?>

								</div>
								<?php
							}

							gutenbee_posts_pagination();

						else :

							get_template_part( 'template-parts/article', 'none' );

						endif;
					?>

				</div>

			</div>

			<?php get_sidebar(); ?>
		</div>

	</div>
</main>

<?php do_action( 'gutenbee_after_main' ); ?>

<?php get_footer();
