<?php
/**
 * Notice Customizer Control
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'WP_Customize_Control' ) ) {
	return null;
}

class Gutenbee_Customize_Notice extends WP_Customize_Control {

	public $type = 'gutenbee-notice';

	const INFO    = 'info';
	const WARNING = 'warning';
	const ERROR   = 'error';

	/**
	 * Severity of the notice.
	 * Can be any one of info|notice|warning|error
	 *
	 * @access public
	 * @var string
	 */
	public $severity = self::INFO;

	public function render_content() {
		?>
		<div class="gutenbee-control-notice gutenbee-control-notice-<?php echo esc_attr( $this->severity ); ?>">
			<?php if ( ! empty( $this->label ) ) : ?>
				<h3 class="gutenbee-control-notice-label"><?php echo esc_html( $this->label ); ?></h3>
			<?php endif; ?>

			<?php if ( ! empty( $this->description ) ) : ?>
				<p class="gutenbee-control-notice-description"><?php echo wp_kses_post( $this->description ); ?></p>
			<?php endif; ?>
		</div>
		<?php
	}
}
