<?php
	$css = Gutenbee_Customizer_CSS_Generator::get_instance();

	//
	// Layout
	//
	$value = gutenbee_get_mod( 'global_layout_container_width', gutenbee_customizer_defaults_empty_breakpoints() );
	$css->add_value( 'desktop', $value['desktop'], '@media (min-width: 1200px) { .container { width: %spx; } }' );

	$value = gutenbee_get_mod( 'global_layout_boxed_width', gutenbee_customizer_defaults_empty_breakpoints() );
	$css->add_responsive( $value, '.layout-boxed .page-wrap { width: %spx; }' );

	//
	// Colors
	//

	// Background images

	// Body background is handled by WordPress

	$color = get_theme_mod( 'global_colors_boxed_background' );
	$value = get_theme_mod( 'global_colors_boxed_background_image', gutenbee_image_bg_control_defaults() );
	$css->add_image_background_by_id( $value, 'full', '.layout-boxed .page-wrap { %s }', $color );


	// Links

	// Links are registered first as they need to be overriden by other
	// global colors (i.e. Accent color).
	$value = get_theme_mod( 'global_colors_links' );
	$css->add_value( 'desktop', $value, '
		a { color: %s; }
	' );

	$value = get_theme_mod( 'global_colors_links_hover' );
	$css->add_value( 'desktop', $value, '
		a:hover { color: %s; }
	' );

	// Global
	$value = get_theme_mod( 'global_colors_accent' );
	$css->add_value( 'desktop', $value, '
		a,
		.site-logo a:hover,
		.head-content-slot-item .ci-font-icon:hover,
		.entry-title a:hover,
		.entry-meta a:hover,
		.entry-content-intro:first-letter,
		.ci-item-title a:hover,
		.navigation-main li:hover > a,
		.navigation-main li > a:focus,
		.navigation-main .current-menu-item > a,
		.navigation-main .current-menu-parent > a,
		.navigation-main .current-menu-ancestor > a,
		.navigation-main .current_page_item > a,
		.navigation-main .current_page_ancestor > a,
		.widget_meta li a:hover,
		.widget_pages li a:hover,
		.widget_categories li a:hover,
		.widget_archive li a:hover,
		.widget_nav_menu li a:hover,
		.widget_product_categories li a:hover,
		.woocommerce-widget-layered-nav li a:hover,
		.wp-block-archives li a:hover,
		.wp-block-categories li a:hover,
		.wp-block-latest-comments li a:hover,
		.wp-block-latest-posts li a:hover,
		.wc-tabs li.active a,
		.woocommerce-MyAccount-navigation .woocommerce-MyAccount-navigation-link a:hover,
		.product_list_widget .product-title:hover,
		.woocommerce-mini-cart-item > a:hover,
		li.wc-block-grid__product .wc-block-grid__product-link:hover,
		li.wc-block-grid__product .wc-block-grid__product-title a:hover,
		.wc-block-product-categories-list li a:hover,
		.wc-block-attribute-filter .wc-block-attribute-filter-list [type="checkbox"]:checked + label,
		.wc-block-attribute-filter .wc-block-attribute-filter-list label:hover {
			color: %s;
		}

		a:focus { outline: 1px dotted %s; }

		.entry-tags a:hover,
		.tag-cloud-link:hover,
		.select2-container.select2-container--default  .select2-results__option[data-selected=true],
		.select2-container.select2-container--default .select2-results__option--highlighted[data-selected],
		.onsale,
		li.product .woocommerce-loop-product__link:hover .woocommerce-loop-product__title,
		.qty-btn:hover,
		.header-mini-cart-count,
		li.wc-block-grid__product .wc-block-grid__product-onsale {
			background-color: %s;
		}
	' );

	$value = get_theme_mod( 'global_colors_accent_secondary' );
	$css->add_value( 'desktop', $value, '
		.head-mast,
		.site-footer,
		.page-title,
		.mm-menu,
		.entry-tags a,
		.tag-cloud-link,
		.widget_layered_nav_filters a,
		.wc-block-active-filters .wc-block-active-filters-list li {
			background-color: %s;
		}
	');

	$value       = get_theme_mod( 'global_colors_text' );
	$value_light = $value ? gutenbee_hex2rgba( $value, 0.8 ) : '';
	$css->add_value( 'desktop', $value, '
		body,
		.site-logo a,
		.head-mast,
		.head-outro,
		.section-subtitle a,
		.entry-title,
		.ci-item-title,
		.navigation a,
		.navigation .page-numbers,
		.woocommerce-pagination a,
		.woocommerce-pagination .page-numbers,
		.navigation-main a,
		.widget_meta li a,
		.widget_pages li a,
		.widget_categories li a,
		.widget_archive li a,
		.widget_nav_menu li a,
		.widget_product_categories li a,
		.woocommerce-widget-layered-nav li a,
		.wp-block-archives li a,
		.wp-block-categories li a,
		.wp-block-latest-comments li a,
		.wp-block-latest-posts li a,
		.entry-tags a,
		.tag-cloud-link,
		.page-links .page-number,
		.select2-container.select2-container--default .select2-selection--multiple .select2-selection__rendered,
		.select2-container.select2-container--default .select2-selection--single.select2-selection__rendered,
		.instagram-pics li a,
		li.product .added_to_cart,
		.single-product div.product .entry-summary .reset_variations,
		.qty-btn,
		.wc-tabs a,
		.woocommerce-MyAccount-navigation .woocommerce-MyAccount-navigation-link a,
		.woocommerce-MyAccount-content mark,
		.woocommerce-MyAccount-downloads .download-file a,
		.woocommerce-Address-title a,
		.product_list_widget .product-title,
		.woocommerce-mini-cart-item > a,
		.header-mini-cart-contents,
		.widget_layered_nav_filters a,
		li.wc-block-grid__product .added_to_cart,
		.wc-block-pagination .wc-block-pagination-page,
		.wc-block-product-categories-list li a,
		.wc-block-attribute-filter .wc-block-attribute-filter-list label,
		.wc-block-active-filters .wc-block-active-filters-list li {
			color: %s;
		}

		.quantity-wrap .qty,
		.qty-btn {
			border-color: %s;
		}
	' );

	$css->add_value( 'desktop', $value_light, '
		label,
		.label,
		select:invalid,
		.comment-metadata,
		.section-subtitle,
		.entry-meta,
		.ci-item-meta,
		[class^="wp-block"] > figcaption,
		.wp-block-image figcaption,
		.wc-block-review-list .wc-block-review-list-item__published-date {
			color: %s;
		}
	' );

	$value = get_theme_mod( 'global_colors_border' );
	$css->add_value( 'desktop', $value, '
		blockquote,
		th, td,
		pre,
		.no-comments,
		.entry-section,
		.navigation a,
		.navigation .page-numbers,
		.woocommerce-pagination a,
		.woocommerce-pagination .page-numbers,
		.page-links .page-number,
		.widget_meta li a,
		.widget_pages li a,
		.widget_categories li a,
		.widget_archive li a,
		.widget_nav_menu li a,
		.widget_product_categories li a,
		.woocommerce-widget-layered-nav li a,
		.widget_recent_comments li,
		.widget_rss li,
		.widget_recent_entries li,
		.wp-block-pullquote,
		.wp-block-archives li,
		.wp-block-categories li,
		.wp-block-latest-comments li,
		.wp-block-latest-posts li,
		.select2-container.select2-container--default .select2-selection--multiple,
		.select2-container.select2-container--default .select2-selection--single,
		.site-footer .select2-container .select2-dropdown,
		.woocommerce-store-notice,
		.woocommerce-page .shop_table,
		.woocommerce-page .shop_table th,
		.woocommerce-page .shop_table td,
		.single-product div.product .woocommerce-product-gallery .flex-control-thumbs li img,
		.single-product div.product .entry-summary .product_meta,
		.wc-tabs,
		.wc-tabs a,
		.shop_table.woocommerce-cart-form__contents,
		.shop_table.woocommerce-cart-form__contents th,
		.shop_table.woocommerce-cart-form__contents td,
		.woocommerce-checkout .create-account,
		.wc_payment_method,
		.payment_box,
		.woocommerce-order-overview,
		.woocommerce-MyAccount-navigation .woocommerce-MyAccount-navigation-link a,
		.woocommerce-EditAccountForm fieldset,
		.product_list_widget .product-thumb img,
		.woocommerce-mini-cart__empty-message,
		.woocommerce-mini-cart__total,
		.header-mini-cart-contents,
		.wc-block-pagination .wc-block-pagination-page,
		.wc-block-product-categories-list li a,
		.wc-block-attribute-filter .wc-block-attribute-filter-list label {
			border-color: %s;
		}

		.price_slider,
		.price_slider .ui-slider-range,
		hr {
			background-color: %s;
		}

		.wc-block-price-filter .wc-block-price-filter__range-input-wrapper .wc-block-price-filter__range-input-progress {
			--range-color: %s;
		}
	' );

	// Headings
	$value = get_theme_mod( 'global_colors_h1' );
	$css->add_value( 'desktop', $value, 'h1 { color: %s; }' );

	$value = get_theme_mod( 'global_colors_h2' );
	$css->add_value( 'desktop', $value, 'h2 { color: %s; }' );

	$value = get_theme_mod( 'global_colors_h3' );
	$css->add_value( 'desktop', $value, 'h3 { color: %s; }' );

	$value = get_theme_mod( 'global_colors_h4' );
	$css->add_value( 'desktop', $value, 'h4 { color: %s; }' );

	$value = get_theme_mod( 'global_colors_h5' );
	$css->add_value( 'desktop', $value, 'h5 { color: %s; }' );

	$value = get_theme_mod( 'global_colors_h6' );
	$css->add_value( 'desktop', $value, 'h6 { color: %s; }' );

	// Forms
	$value = get_theme_mod( 'global_colors_forms_background' );
	$css->add_value( 'desktop', $value, '
		input[type="text"],
		input[type="search"],
		input[type="password"],
		input[type="date"],
		input[type="number"],
		input[type="email"],
		input[type="url"],
		input[type="tel"],
		input[type="time"],
		select,
		textarea {
			background-color: %s;
		}
	' );

	$value = get_theme_mod( 'global_colors_forms_border' );
	$css->add_value( 'desktop', $value, '
		input[type="text"],
		input[type="search"],
		input[type="password"],
		input[type="date"],
		input[type="number"],
		input[type="email"],
		input[type="url"],
		input[type="tel"],
		input[type="time"],
		select,
		textarea {
			border-color: %s;
		}
	' );

	$value = get_theme_mod( 'global_colors_forms_text' );
	$css->add_value( 'desktop', $value, '
		input[type="text"],
		input[type="search"],
		input[type="password"],
		input[type="date"],
		input[type="number"],
		input[type="email"],
		input[type="url"],
		input[type="tel"],
		input[type="time"],
		select,
		textarea {
			color: %s;
		}
	' );

	// Buttons
	$value = get_theme_mod( 'global_colors_buttons_background' );
	$css->add_value( 'desktop', $value, '
		.btn,
		.button,
		.navigation-main .nav-button > a,
		.comment-reply-link,
		input[type="submit"],
		input[type="reset"],
		button[type="submit"],
		#infinite-handle span button,
		li.wc-block-grid__product .wp-block-button__link {
			background-color: %s;
		}
	' );

	$value = get_theme_mod( 'global_colors_buttons_text' );
	$css->add_value( 'desktop', $value, '
		.btn,
		.button,
		.navigation-main .nav-button > a,
		.comment-reply-link,
		input[type="submit"],
		input[type="reset"],
		button[type="submit"],
		#infinite-handle span button,
		li.wc-block-grid__product .wp-block-button__link {
			color: %s;
		}
	' );

	$value = get_theme_mod( 'global_colors_buttons_border' );
	$css->add_value( 'desktop', $value, '
		.btn,
		.button,
		.navigation-main .nav-button > a,
		.comment-reply-link,
		input[type="submit"],
		input[type="reset"],
		button[type="submit"],
		#infinite-handle span button,
		li.wc-block-grid__product .wp-block-button__link {
			border-color: %s;
		}
	' );

	$value = get_theme_mod( 'global_colors_buttons_background_hover' );
	$css->add_value( 'desktop', $value, '
		.btn:hover,
		.button:hover,
		.btn:focus,
		.button:focus,
		.navigation-main .nav-button > a:hover,
		.navigation-main .nav-button > a:focus,
		.comment-reply-link:hover,
		input[type="submit"]:hover,
		input[type="submit"]:focus,
		input[type="reset"]:hover,
		input[type="reset"]:focus,
		button[type="submit"]:hover,
		button[type="submit"]:focus,
		#infinite-handle span button:hover,
		#infinite-handle span button:focus,
		li.wc-block-grid__product .wp-block-button__link:focus,
		li.wc-block-grid__product .wp-block-button__link:hover {
			background-color: %s;
		}
	' );

	$value = get_theme_mod( 'global_colors_buttons_text_hover' );
	$css->add_value( 'desktop', $value, '
		.btn:hover,
		.button:hover,
		.btn:focus,
		.button:focus,
		.navigation-main .nav-button > a:hover,
		.navigation-main .nav-button > a:focus,
		.comment-reply-link:hover,
		input[type="submit"]:hover,
		input[type="submit"]:focus,
		input[type="reset"]:hover,
		input[type="reset"]:focus,
		button[type="submit"]:hover,
		button[type="submit"]:focus,
		#infinite-handle span button:hover,
		#infinite-handle span button:focus,
		li.wc-block-grid__product .wp-block-button__link:focus,
		li.wc-block-grid__product .wp-block-button__link:hover {
			color: %s;
		}
	' );

	$value = get_theme_mod( 'global_colors_buttons_border_hover' );
	$css->add_value( 'desktop', $value, '
		.btn:hover,
		.button:hover,
		.btn:focus,
		.button:focus,
		.navigation-main .nav-button > a:hover,
		.navigation-main .nav-button > a:focus,
		.comment-reply-link:hover,
		input[type="submit"]:hover,
		input[type="submit"]:focus,
		input[type="reset"]:hover,
		input[type="reset"]:focus,
		button[type="submit"]:hover,
		button[type="submit"]:focus,
		#infinite-handle span button:hover,
		#infinite-handle span button:focus,
		li.wc-block-grid__product .wp-block-button__link:focus,
		li.wc-block-grid__product .wp-block-button__link:hover {
			border-color: %s;
		}
	' );


	//
	// Typography
	//
	$value = get_theme_mod( 'global_typo_body', gutenbee_customizer_defaults( 'global_typo_body' ) );
	$css->add_typography( $value, '', 'body { %s }' );

	$value = get_theme_mod( 'global_typo_h1', gutenbee_customizer_defaults( 'global_typo_h1' ) );
	$css->add_typography( $value, '', 'h1 { %s }' );

	$value = get_theme_mod( 'global_typo_h2', gutenbee_customizer_defaults( 'global_typo_h2' ) );
	$css->add_typography( $value, '', 'h2 { %s }' );

	$value = get_theme_mod( 'global_typo_h3', gutenbee_customizer_defaults( 'global_typo_h3' ) );
	$css->add_typography( $value, '', 'h3, .widget-title { %s }' );

	$value = get_theme_mod( 'global_typo_h4', gutenbee_customizer_defaults( 'global_typo_h4' ) );
	$css->add_typography( $value, '', 'h4 { %s }' );

	$value = get_theme_mod( 'global_typo_h5', gutenbee_customizer_defaults( 'global_typo_h5' ) );
	$css->add_typography( $value, '', 'h5 { %s }' );

	$value = get_theme_mod( 'global_typo_h6', gutenbee_customizer_defaults( 'global_typo_h6' ) );
	$css->add_typography( $value, '', 'h6 { %s }' );

	$value = get_theme_mod( 'global_typo_form_text', gutenbee_customizer_defaults( 'global_typo_form_text' ) );
	$css->add_typography( $value, '', 'input, textarea, select { %s }' );

	$value = get_theme_mod( 'global_typo_form_labels', gutenbee_customizer_defaults( 'global_typo_form_labels' ) );
	$css->add_typography( $value, '', 'form label, form .label { %s }' );

	$value = get_theme_mod( 'global_typo_buttons', gutenbee_customizer_defaults( 'global_typo_buttons' ) );
	$css->add_typography( $value, '', '
		.btn,
		.button,
		.entry-more-btn,
		.navigation-main .nav-button > a,
		.comment-reply-link,
		input[type="submit"],
		input[type="reset"],
		button[type="submit"],
		#infinite-handle span button,
		li.wc-block-grid__product .wp-block-button__link {
			%s
		}'
	);

