<?php
	$wp_customize->add_section( 'blog_typo', array(
		'title'    => esc_html_x( 'Typography', 'customizer section title', 'gutenbee' ),
		'panel'    => 'blog',
		'priority' => 40,
	) );

	$wp_customize->add_control( new Gutenbee_Customize_Section_Header( $wp_customize, 'blog_typo_archives_sub', array(
		'section'  => 'blog_typo',
		'settings' => array(),
		'label'    => esc_html__( 'Archives', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'blog_typo_archives_title_tag', array(
		'default'           => gutenbee_customizer_defaults( 'blog_typo_archives_title_tag' ),
		'sanitize_callback' => 'gutenbee_sanitize_text_tag',
	) );
	$wp_customize->add_control( 'blog_typo_archives_title_tag', array(
		'type'    => 'select',
		'section' => 'blog_typo',
		'label'   => esc_html__( 'Archives post titles tag', 'gutenbee' ),
		'choices' => gutenbee_text_tag_choices(),
	) );

	$wp_customize->add_setting( 'blog_typo_archives_title', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'blog_typo_archives_title' ),
		'sanitize_callback' => 'gutenbee_sanitize_typography_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Typography_Control( $wp_customize, 'blog_typo_archives_title', array(
		'section'     => 'blog_typo',
		'label'       => esc_html__( 'Post title font', 'gutenbee' ),
		'font_family' => false,
	) ) );

	$wp_customize->add_setting( 'blog_typo_archives_meta', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'blog_typo_archives_meta' ),
		'sanitize_callback' => 'gutenbee_sanitize_typography_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Typography_Control( $wp_customize, 'blog_typo_archives_meta', array(
		'section'     => 'blog_typo',
		'label'       => esc_html__( 'Post meta font', 'gutenbee' ),
		'font_family' => false,
	) ) );

	$wp_customize->add_setting( 'blog_typo_archives_content', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'blog_typo_archives_content' ),
		'sanitize_callback' => 'gutenbee_sanitize_typography_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Typography_Control( $wp_customize, 'blog_typo_archives_content', array(
		'section'     => 'blog_typo',
		'label'       => esc_html__( 'Post content font', 'gutenbee' ),
		'font_family' => false,
	) ) );

	$wp_customize->add_setting( 'blog_typo_archives_button', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'blog_typo_archives_button' ),
		'sanitize_callback' => 'gutenbee_sanitize_typography_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Typography_Control( $wp_customize, 'blog_typo_archives_button', array(
		'section'     => 'blog_typo',
		'label'       => esc_html__( 'Post button font', 'gutenbee' ),
		'font_family' => false,
	) ) );


	$wp_customize->add_control( new Gutenbee_Customize_Section_Header( $wp_customize, 'blog_typo_single_post_sub', array(
		'section'  => 'blog_typo',
		'settings' => array(),
		'label'    => esc_html__( 'Single posts', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'blog_typo_single_post_title_tag', array(
		'default'           => gutenbee_customizer_defaults( 'blog_typo_single_post_title_tag' ),
		'sanitize_callback' => 'gutenbee_sanitize_text_tag',
	) );
	$wp_customize->add_control( 'blog_typo_single_post_title_tag', array(
		'type'    => 'select',
		'section' => 'blog_typo',
		'label'   => esc_html__( 'Single post title tag', 'gutenbee' ),
		'choices' => gutenbee_text_tag_choices(),
	) );

	$wp_customize->add_setting( 'blog_typo_single_post_title', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'blog_typo_single_post_title' ),
		'sanitize_callback' => 'gutenbee_sanitize_typography_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Typography_Control( $wp_customize, 'blog_typo_single_post_title', array(
		'section'     => 'blog_typo',
		'label'       => esc_html__( 'Post title font', 'gutenbee' ),
		'font_family' => false,
	) ) );

	$wp_customize->add_setting( 'blog_typo_single_post_meta', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'blog_typo_single_post_meta' ),
		'sanitize_callback' => 'gutenbee_sanitize_typography_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Typography_Control( $wp_customize, 'blog_typo_single_post_meta', array(
		'section'     => 'blog_typo',
		'label'       => esc_html__( 'Post meta font', 'gutenbee' ),
		'font_family' => false,
	) ) );

	$wp_customize->add_setting( 'blog_typo_single_post_tags', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'blog_typo_single_post_tags' ),
		'sanitize_callback' => 'gutenbee_sanitize_typography_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Typography_Control( $wp_customize, 'blog_typo_single_post_tags', array(
		'section'     => 'blog_typo',
		'label'       => esc_html__( 'Post tags font', 'gutenbee' ),
		'font_family' => false,
	) ) );
