<?php
	$wp_customize->add_section( 'footer_layout', array(
		'title'    => esc_html_x( 'Layout', 'customizer section title', 'gutenbee' ),
		'panel'    => 'footer',
		'priority' => 10,
	) );

	$wp_customize->add_setting( 'footer_layout_is_visible', array(
		'default'           => gutenbee_customizer_defaults( 'footer_layout_is_visible' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'footer_layout_is_visible', array(
		'type'    => 'checkbox',
		'section' => 'footer_layout',
		'label'   => esc_html__( 'Show footer', 'gutenbee' ),
	) );
	$wp_customize->selective_refresh->get_partial( 'footer_layout' )->settings[] = 'footer_layout_is_visible';

	$wp_customize->add_setting( 'footer_layout_columns', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'footer_layout_columns' ),
		'sanitize_callback' => 'gutenbee_sanitize_range_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Range_Control( $wp_customize, 'footer_layout_columns', array(
		'section'     => 'footer_layout',
		'label'       => esc_html__( 'Footer columns', 'gutenbee' ),
		'input_attrs' => array(
			'min'  => 1,
			'max'  => 4,
			'step' => 1,
		),
		'responsive'  => false,
	) ) );
	$wp_customize->selective_refresh->get_partial( 'footer_layout' )->settings[] = 'footer_layout_columns';

	$wp_customize->add_setting( 'footer_layout_is_full_width', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'footer_layout_is_full_width' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'footer_layout_is_full_width', array(
		'type'    => 'checkbox',
		'section' => 'footer_layout',
		'label'   => esc_html__( 'Full width footer', 'gutenbee' ),
	) );

	$wp_customize->add_setting( 'footer_layout_padding', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'footer_layout_padding' ),
		'sanitize_callback' => 'gutenbee_sanitize_spacing_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Spacing_Control( $wp_customize, 'footer_layout_padding', array(
		'section'     => 'footer_layout',
		'label'       => esc_html__( 'Footer padding', 'gutenbee' ),
		'input_attrs' => array(
			'min'  => 0,
			'max'  => 1000,
			'step' => 1,
		),
		'responsive'  => true,
	) ) );

	$wp_customize->add_setting( 'footer_layout_widget_title_padding', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'footer_layout_widget_title_padding' ),
		'sanitize_callback' => 'gutenbee_sanitize_spacing_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Spacing_Control( $wp_customize, 'footer_layout_widget_title_padding', array(
		'section'     => 'footer_layout',
		'label'       => esc_html__( 'Footer widget title padding', 'gutenbee' ),
		'input_attrs' => array(
			'min'  => 0,
			'max'  => 1000,
			'step' => 1,
		),
		'responsive'  => true,
	) ) );
