<?php
	$wp_customize->add_section( 'global_typo', array(
		'title'    => esc_html_x( 'Typography', 'customizer section title', 'gutenbee' ),
		'panel'    => 'global',
		'priority' => 40,
	) );

	$wp_customize->add_setting( 'global_typo_disable_google_fonts', array(
		'default'           => gutenbee_customizer_defaults( 'global_typo_disable_google_fonts' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'global_typo_disable_google_fonts', array(
		'type'    => 'checkbox',
		'section' => 'global_typo',
		'label'   => esc_html__( 'Disable Google Fonts', 'gutenbee' ),
	) );

	$wp_customize->add_setting( 'global_typo_body', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_typo_body' ),
		'sanitize_callback' => 'gutenbee_sanitize_typography_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Typography_Control( $wp_customize, 'global_typo_body', array(
		'section' => 'global_typo',
		'label'   => esc_html__( 'Body font', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_typo_h1', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_typo_h1' ),
		'sanitize_callback' => 'gutenbee_sanitize_typography_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Typography_Control( $wp_customize, 'global_typo_h1', array(
		'section' => 'global_typo',
		'label'   => esc_html__( 'H1 font', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_typo_h2', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_typo_h2' ),
		'sanitize_callback' => 'gutenbee_sanitize_typography_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Typography_Control( $wp_customize, 'global_typo_h2', array(
		'section' => 'global_typo',
		'label'   => esc_html__( 'H2 font', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_typo_h3', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_typo_h3' ),
		'sanitize_callback' => 'gutenbee_sanitize_typography_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Typography_Control( $wp_customize, 'global_typo_h3', array(
		'section' => 'global_typo',
		'label'   => esc_html__( 'H3 font', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_typo_h4', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_typo_h4' ),
		'sanitize_callback' => 'gutenbee_sanitize_typography_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Typography_Control( $wp_customize, 'global_typo_h4', array(
		'section' => 'global_typo',
		'label'   => esc_html__( 'H4 font', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_typo_h5', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_typo_h5' ),
		'sanitize_callback' => 'gutenbee_sanitize_typography_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Typography_Control( $wp_customize, 'global_typo_h5', array(
		'section' => 'global_typo',
		'label'   => esc_html__( 'H5 font', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_typo_h6', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_typo_h6' ),
		'sanitize_callback' => 'gutenbee_sanitize_typography_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Typography_Control( $wp_customize, 'global_typo_h6', array(
		'section' => 'global_typo',
		'label'   => esc_html__( 'H6 font', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_typo_form_labels', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_typo_form_labels' ),
		'sanitize_callback' => 'gutenbee_sanitize_typography_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Typography_Control( $wp_customize, 'global_typo_form_labels', array(
		'section' => 'global_typo',
		'label'   => esc_html__( 'Form labels', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_typo_form_text', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_typo_form_text' ),
		'sanitize_callback' => 'gutenbee_sanitize_typography_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Typography_Control( $wp_customize, 'global_typo_form_text', array(
		'section' => 'global_typo',
		'label'   => esc_html__( 'Form text', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_typo_buttons', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_typo_buttons' ),
		'sanitize_callback' => 'gutenbee_sanitize_typography_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Typography_Control( $wp_customize, 'global_typo_buttons', array(
		'section' => 'global_typo',
		'label'   => esc_html__( 'Button text', 'gutenbee' ),
	) ) );
