<?php
	$wp_customize->add_section( 'header_colors', array(
		'title'    => esc_html_x( 'Colors', 'customizer section title', 'gutenbee' ),
		'panel'    => 'header',
		'priority' => 30,
	) );


	//
	// Header colors
	//
	$wp_customize->add_control( new Gutenbee_Customize_Section_Header( $wp_customize, 'header_colors_sub', array(
		'label'    => esc_html__( 'Header colors', 'gutenbee' ),
		'settings' => array(),
		'section'  => 'header_colors',
	) ) );


	$wp_customize->add_setting( 'header_colors_background', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'header_colors_background' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'header_colors_background', array(
		'section' => 'header_colors',
		'label'   => esc_html__( 'Background color', 'gutenbee' ),
	) ) );


	$wp_customize->add_setting( 'header_colors_border', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'header_colors_border' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'header_colors_border', array(
		'section' => 'header_colors',
		'label'   => esc_html__( 'Border color', 'gutenbee' ),
	) ) );


	$wp_customize->add_setting( 'header_colors_text', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'header_colors_text' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'header_colors_text', array(
		'section' => 'header_colors',
		'label'   => esc_html__( 'Text color', 'gutenbee' ),
	) ) );


	//
	// Logo colors
	//
	$wp_customize->add_control( new Gutenbee_Customize_Section_Header( $wp_customize, 'header_colors_logo_sub', array(
		'label'    => esc_html__( 'Logo colors', 'gutenbee' ),
		'settings' => array(),
		'section'  => 'header_colors',
	) ) );


	$wp_customize->add_setting( 'header_colors_logo', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'header_colors_logo' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'header_colors_logo', array(
		'section' => 'header_colors',
		'label'   => esc_html__( 'Logo color', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'header_colors_logo_hover', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'header_colors_logo_hover' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'header_colors_logo_hover', array(
		'section' => 'header_colors',
		'label'   => esc_html__( 'Logo hover color', 'gutenbee' ),
	) ) );


	//
	// Menu Colors
	//
	$wp_customize->add_control( new Gutenbee_Customize_Section_Header( $wp_customize, 'header_colors_menu_sub', array(
		'label'    => esc_html__( 'Menu colors', 'gutenbee' ),
		'settings' => array(),
		'section'  => 'header_colors',
	) ) );

	$wp_customize->add_setting( 'header_colors_menu_container_background', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'header_colors_menu_container_background' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'header_colors_menu_container_background', array(
		'section' => 'header_colors',
		'label'   => esc_html__( 'Menu container background color', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'header_colors_menu_item_link', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'header_colors_menu_item_link' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'header_colors_menu_item_link', array(
		'section' => 'header_colors',
		'label'   => esc_html__( 'Menu item link color', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'header_colors_menu_item_hover', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'header_colors_menu_item_hover' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'header_colors_menu_item_hover', array(
		'section' => 'header_colors',
		'label'   => esc_html__( 'Menu item hover color', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'header_colors_menu_item_active', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'header_colors_menu_item_active' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'header_colors_menu_item_active', array(
		'section' => 'header_colors',
		'label'   => esc_html__( 'Active menu item color', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'header_colors_menu_item_active_background', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'header_colors_menu_item_active_background' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'header_colors_menu_item_active_background', array(
		'section' => 'header_colors',
		'label'   => esc_html__( 'Active menu item background color', 'gutenbee' ),
	) ) );


	//
	// Submenu colors
	//
	$wp_customize->add_control( new Gutenbee_Customize_Section_Header( $wp_customize, 'header_colors_submenu_sub', array(
		'label'    => esc_html__( 'Submenu colors', 'gutenbee' ),
		'settings' => array(),
		'section'  => 'header_colors',
	) ) );


	$wp_customize->add_setting( 'header_colors_submenu_background', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'header_colors_submenu_background' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'header_colors_submenu_background', array(
		'section' => 'header_colors',
		'label'   => esc_html__( 'Submenu background color', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'header_colors_submenu_item_link', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'header_colors_submenu_item_link' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'header_colors_submenu_item_link', array(
		'section' => 'header_colors',
		'label'   => esc_html__( 'Submenu item link color', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'header_colors_submenu_item_hover', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'header_colors_submenu_item_hover' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'header_colors_submenu_item_hover', array(
		'section' => 'header_colors',
		'label'   => esc_html__( 'Submenu item hover color', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'header_colors_submenu_item_hover_background', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'header_colors_submenu_item_hover_background' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'header_colors_submenu_item_hover_background', array(
		'section' => 'header_colors',
		'label'   => esc_html__( 'Submenu item hover background color', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'header_colors_submenu_item_active', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'header_colors_submenu_item_active' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'header_colors_submenu_item_active', array(
		'section' => 'header_colors',
		'label'   => esc_html__( 'Active submenu item color', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'header_colors_submenu_item_active_background', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'header_colors_submenu_item_active_background' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'header_colors_submenu_item_active_background', array(
		'section' => 'header_colors',
		'label'   => esc_html__( 'Active submenu item background color', 'gutenbee' ),
	) ) );
