<?php
	$custom_logo_args = get_theme_support( 'custom-logo' );
	$wp_customize->add_setting( 'site_identity_custom_logo_alt', array(
		'transport'         => 'postMessage',
		'default'           => '',
		'sanitize_callback' => 'gutenbee_sanitize_intval_or_empty',
	) );
	$wp_customize->add_control( new WP_Customize_Cropped_Image_Control( $wp_customize, 'site_identity_custom_logo_alt', array(
		'label'         => __( 'Alternative Logo', 'gutenbee' ),
		'description'   => __( 'Set this if you need a differently styled logo to appear when the header appears over the content.', 'gutenbee' ),
		'section'       => 'title_tagline',
		'priority'      => 8,
		'height'        => $custom_logo_args[0]['height'],
		'width'         => $custom_logo_args[0]['width'],
		'flex_height'   => $custom_logo_args[0]['flex-height'],
		'flex_width'    => $custom_logo_args[0]['flex-width'],
		'button_labels' => array(
			'select'       => __( 'Select logo', 'gutenbee' ),
			'change'       => __( 'Change logo', 'gutenbee' ),
			'remove'       => __( 'Remove', 'gutenbee' ),
			'default'      => __( 'Default', 'gutenbee' ),
			'placeholder'  => __( 'No logo selected', 'gutenbee' ),
			'frame_title'  => __( 'Select logo', 'gutenbee' ),
			'frame_button' => __( 'Choose logo', 'gutenbee' ),
		),
	) ) );

	$wp_customize->selective_refresh->get_partial( 'site_branding' )->settings[] = 'site_identity_custom_logo_alt';

	$wp_customize->add_setting( 'site_identity_limit_logo_size', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'site_identity_limit_logo_size' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'site_identity_limit_logo_size', array(
		'type'        => 'checkbox',
		'section'     => 'title_tagline',
		'priority'    => 8,
		'label'       => esc_html__( 'Limit logo size (for Retina display)', 'gutenbee' ),
		'description' => esc_html__( 'This option will limit the image size to half its width. You will need to upload your image in 2x the dimension you want to display it in.', 'gutenbee' ),
	) );
	$wp_customize->selective_refresh->get_partial( 'theme_style' )->settings[] = 'site_identity_limit_logo_size';

	$wp_customize->add_setting( 'site_identity_title_is_visible', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'site_identity_title_is_visible' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'site_identity_title_is_visible', array(
		'type'    => 'checkbox',
		'section' => 'title_tagline',
		'label'   => esc_html__( 'Show site title', 'gutenbee' ),
	) );
	$wp_customize->selective_refresh->get_partial( 'site_branding' )->settings[] = 'site_identity_title_is_visible';

	$wp_customize->add_setting( 'site_identity_description_is_visible', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'site_identity_description_is_visible' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'site_identity_description_is_visible', array(
		'type'    => 'checkbox',
		'section' => 'title_tagline',
		'label'   => esc_html__( 'Show site tagline', 'gutenbee' ),
	) );
	$wp_customize->selective_refresh->get_partial( 'site_branding' )->settings[] = 'site_identity_description_is_visible';
