<?php
	$wp_customize->add_section( 'utilities_button_top', array(
		'title'    => esc_html_x( 'Back to top button', 'customizer section title', 'gutenbee' ),
		'panel'    => 'utilities',
		'priority' => 20,
	) );

	$wp_customize->add_setting( 'button_top_is_visible', array(
		'default'           => gutenbee_customizer_defaults( 'button_top_is_visible' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'button_top_is_visible', array(
		'type'        => 'checkbox',
		'section'     => 'utilities_button_top',
		'label'       => esc_html__( 'Enable back to top button', 'gutenbee' ),
		'description' => esc_html__( 'The Back to Top Button will always be visible in the customizer if it is enabled. On your normal site it will become visible after a certain amount of scrolling.', 'gutenbee' ),
	) );

	$wp_customize->add_setting( 'button_top_visibility', array(
		'default'           => gutenbee_customizer_defaults( 'button_top_visibility' ),
		'sanitize_callback' => 'gutenbee_sanitize_devices_visibility',
	) );
	$wp_customize->add_control( 'button_top_visibility', array(
		'type'    => 'select',
		'section' => 'utilities_button_top',
		'label'   => esc_html__( 'Button visibility', 'gutenbee' ),
		'choices' => gutenbee_devices_visibility_choices(),
	) );

	$wp_customize->add_setting( 'button_top_position', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'button_top_position' ),
		'sanitize_callback' => 'gutenbee_sanitize_spacing_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Spacing_Control( $wp_customize, 'button_top_position', array(
		'section'     => 'utilities_button_top',
		'label'       => esc_html__( 'Button position', 'gutenbee' ),
		'input_attrs' => array(
			'min'  => 0,
			'max'  => 500,
			'step' => 1,
		),
		'responsive'  => true,
	) ) );

	$wp_customize->add_setting( 'button_top_colors_background', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'button_top_colors_background' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'button_top_colors_background', array(
		'section' => 'utilities_button_top',
		'label'   => esc_html__( 'Background color', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'button_top_colors_text', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'button_top_colors_text' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'button_top_colors_text', array(
		'section' => 'utilities_button_top',
		'label'   => esc_html__( 'Arrow color', 'gutenbee' ),
	) ) );
