/* global gutenbee_vars */

jQuery( function ( $ ) {
	'use strict';

	var $body = $( 'body' );

	/* -----------------------------------------
	 WooCommerce plus minus
	 ----------------------------------------- */
	var $qtyBtn = $( '.qty-btn' );

	$qtyBtn.on( 'click', function () {
		var $this        = $( this );
		var $input       = $this.parent().find( 'input[type="number"]' );
		var placeholder  = parseInt( $input.attr('placeholder') ) || 0;
		var min          = parseInt( $input.attr( 'min' ) || 0, 10 );
		var max          = parseInt( $input.attr( 'max' ) || 99999, 10 );
		var currentVal   = parseInt($input.val(), 10) ? parseInt($input.val(), 10) : placeholder;
		var isMinus      = $this.hasClass( 'qty-minus' );

		if ( isMinus ) {
			$input.val( Math.max( currentVal - 1, min ) );
		} else {
			$input.val( Math.min( currentVal + 1, max ) );
		}
	} );

	/* -----------------------------------------
	Shop filters toggle && Mini Cart visibility
	----------------------------------------- */
	var $miniCartTrigger = $( '.header-mini-cart-trigger' );
	var $miniCart        = $( '.header-mini-cart-contents' );

	function isMiniCartVisible() {
		return $miniCart.is( ':visible' );
	}

	function dismissMiniCart() {
		$miniCart.addClass( 'visible' );
		$miniCart.fadeOut( 'fast' );
	}

	function displayMiniCart() {
		$miniCart.removeClass( 'visible' );
		$miniCart.fadeIn( 'fast' );
	}

	$miniCartTrigger.on( 'click', function ( event ) {
		event.preventDefault();

		if ( isMiniCartVisible() ) {
			dismissMiniCart();
		} else {
			displayMiniCart();
		}
	} );

	/* Event propagations */
	$( document ).on( 'keydown', function ( event ) {
		if ( event.keyCode === 27 ) {
			dismissMiniCart();
		}
	} );

	$body
		.on( 'click', function ( event ) {
			if ( isMiniCartVisible() ) {
				dismissMiniCart();
			}
		} )
		.find( '.header-mini-cart-contents, .header-mini-cart-trigger' )
		.on( 'click', function ( event ) {
			event.stopPropagation();
		} );

} );
