<?php
	if ( ! gutenbee_get_mod( 'footer_layout_is_visible', gutenbee_customizer_defaults( 'footer_layout_is_visible' ) ) ) {
		return;
	}

	$sidebars = array( 'footer-1', 'footer-2', 'footer-3', 'footer-4' );
	$columns  = (array) get_theme_mod( 'footer_layout_columns', gutenbee_customizer_defaults( 'footer_layout_columns' ) );
	$columns  = intval( $columns['desktop'] );

	$has_active_sidebar = false;
	foreach ( $sidebars as $sidebar ) {
		if ( is_active_sidebar( $sidebar ) ) {
			$has_active_sidebar = true;
			break;
		}
	}

	if ( ! is_customize_preview() && ( ! $has_active_sidebar || $columns < 1 ) ) {
		return;
	}
?>
<div class="footer-widgets">
	<div class="container">
		<div class="row">
			<?php for ( $i = 1; $i <= $columns; $i++ ) : ?>
				<div class="<?php echo esc_attr( gutenbee_get_theme_columns_classes( $columns ) ); ?>">
					<?php if ( is_active_sidebar( "footer-{$i}" ) ) : ?>
						<?php dynamic_sidebar( "footer-{$i}" ); ?>
					<?php elseif ( is_customize_preview() ) : ?>
						<aside class="widget widget_text group">
							<?php /* translators: %d is a number in the range 1-4 */ ?>
							<p><?php echo wp_kses( sprintf( __( 'To display widgets it this position, assign them to the "Footer - %d" widget area.', 'gutenbee' ), $i ), gutenbee_get_allowed_tags( 'guide' ) ); ?></p>
						</aside>
					<?php endif; ?>
				</div>
			<?php endfor; ?>
		</div>
	</div>
</div>
