<?php
	if ( ! get_theme_mod( 'blog_layout_archive_title_is_enabled', gutenbee_customizer_defaults( 'blog_layout_archive_title_is_enabled' ) ) ) {
		return;
	}

	$page_title = '';

	if ( is_search() ) {
		$page_title = __( 'Search results', 'gutenbee' );
	} elseif ( is_404() ) {
		$page_title = __( 'Page not found', 'gutenbee' );
	} elseif ( is_category() || is_tag() || is_tax() ) {
		$page_title = single_term_title( '', false );
	} elseif ( is_post_type_archive() ) {
		$page_title = post_type_archive_title( '', false );
	} elseif ( is_author() ) {
		$page_title = '<span class="vcard">' . get_the_author() . '</span>';
	} elseif ( is_year() ) {
		$page_title = get_the_date( _x( 'Y', 'yearly archives date format', 'gutenbee' ) );
	} elseif ( is_month() ) {
		$page_title = get_the_date( _x( 'F Y', 'monthly archives date format', 'gutenbee' ) );
	} elseif ( is_day() ) {
		$page_title = get_the_date( _x( 'F j, Y', 'daily archives date format', 'gutenbee' ) );
	} elseif ( is_archive() ) {
		$page_title = get_the_archive_title();
	}
?>
<?php if ( $page_title ) : ?>
	<div class="page-header">
		<h1 class="page-title">
			<?php echo wp_kses_post( $page_title ); ?>
		</h1>
	</div>
<?php endif;
