<?php
	$posttype = get_post_type();
	$columns  = get_theme_mod( 'blog_layout_single_related_columns', gutenbee_blog_layout_single_related_columns_default() );
	$columns  = apply_filters( 'gutenbee_related_columns', $columns, $posttype );
	$related  = gutenbee_get_related_posts( get_the_ID(), apply_filters( 'gutenbee_related_count', $columns, $posttype ) );

	$section_title = get_theme_mod( 'blog_content_single_post_related_posts_title', gutenbee_customizer_defaults( 'blog_content_single_post_related_posts_title' ) );

	do_action( 'gutenbee_before_related', $related, $posttype, $section_title );

	if ( $related->have_posts() ) : ?>
		<div class="entry-section">
			<?php if ( $section_title ) : ?>
				<h3 class="entry-section-title"><?php echo esc_html( $section_title ); ?></h3>
			<?php endif; ?>

			<div class="row row-items">
				<?php while ( $related->have_posts() ) : $related->the_post(); ?>
					<div class="<?php echo esc_attr( gutenbee_get_theme_columns_classes( $columns ) ); ?>">
						<?php get_template_part( 'template-parts/related-item', $posttype ); ?>
					</div>
				<?php endwhile; ?>
				<?php wp_reset_postdata(); ?>
			</div>
		</div>
	<?php endif;

	do_action( 'gutenbee_after_related', $related, $posttype, $section_title );
